# Uses of Interface
org.eclipse.e4.ui.model.application.commands.MKeyBinding

Packages that use MKeyBinding
Package
Description
org.eclipse.e4.ui.model.application.commands
org.eclipse.e4.ui.model.application.commands.impl
org.eclipse.e4.ui.model.application.commands.util

## Uses of MKeyBinding in org.eclipse.e4.ui.model.application.commands

Methods in org.eclipse.e4.ui.model.application.commands that return MKeyBinding
Modifier and Type
Method
Description
`MKeyBinding`
MCommandsFactory.`createKeyBinding()`
Returns a new object of class 'Key Binding'.
Methods in org.eclipse.e4.ui.model.application.commands that return types with arguments of type MKeyBinding
Modifier and Type
Method
Description
`List<MKeyBinding>`
MBindingTable.`getBindings()`
Returns the value of the 'Bindings' containment reference list.

## Uses of MKeyBinding in org.eclipse.e4.ui.model.application.commands.impl

Classes in org.eclipse.e4.ui.model.application.commands.impl that implement MKeyBinding
Modifier and Type
Class
Description
`class`
`KeyBindingImpl`
An implementation of the model object 'Key Binding'.
Fields in org.eclipse.e4.ui.model.application.commands.impl with type parameters of type MKeyBinding
Modifier and Type
Field
Description
`protected org.eclipse.emf.common.util.EList<MKeyBinding>`
BindingTableImpl.`bindings`
The cached value of the '`Bindings`' containment reference list.
Methods in org.eclipse.e4.ui.model.application.commands.impl that return MKeyBinding
Modifier and Type
Method
Description
`MKeyBinding`
CommandsFactoryImpl.`createKeyBinding()`
Methods in org.eclipse.e4.ui.model.application.commands.impl that return types with arguments of type MKeyBinding
Modifier and Type
Method
Description
`List<MKeyBinding>`
BindingTableImpl.`getBindings()`

## Uses of MKeyBinding in org.eclipse.e4.ui.model.application.commands.util

Methods in org.eclipse.e4.ui.model.application.commands.util with parameters of type MKeyBinding
Modifier and Type
Method
Description
`T`
CommandsSwitch.`caseKeyBinding(MKeyBinding object)`
Returns the result of interpreting the object as an instance of 'Key Binding'.